## pulsemixer pulsemixer — Control sound input and output levels for PulseAudio |

## Properties

gchar * | device | Read / Write
gchar * | device-name | Read
gchar * | server | Read / Write

## Types and Values

struct | GstPulseMixer

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstPulseMixer

## Implemented Interfaces

GstPulseMixer implements GstImplementsInterface, GstMixer and GstPropertyProbe.

## Description

## Synopsis

### Element Information

plugin | pulseaudio
author | Lennart Poettering
class | Generic/Audio

### Element Pads

## Functions

## Types and Values

### struct GstPulseMixer

    struct GstPulseMixer;

## Property Details

### The `“device”` property

      “device”                   gchar *

The PulseAudio sink or source to control.

Flags: Read / Write

Default value: NULL

### The `“device-name”` property

      “device-name”              gchar *

Human-readable name of the sound device.

Flags: Read

Default value: NULL

### The `“server”` property

      “server”                   gchar *

The PulseAudio server to connect to.

Flags: Read / Write

Default value: NULL